## javax.persistence.criteria
Interface Predicate

All Superinterfaces:
  Expression<java.lang.Boolean>, Selection<java.lang.Boolean>, TupleElement<java.lang.Boolean>

All Known Subinterfaces:
  CriteriaBuilder.In<T>

    public interface Predicate

extends Expression<java.lang.Boolean>

Nested Class Summary
`static class` `Predicate.BooleanOperator`

Method Summary
`java.util.List<Expression<java.lang.Boolean>>` `getExpressions()`
`Predicate.BooleanOperator` `getOperator()`
`boolean` `isNegated()`
`Predicate` `not()`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### getOperator

    Predicate.BooleanOperator getOperator()

### isNegated

    boolean isNegated()

### getExpressions

    java.util.List<Expression<java.lang.Boolean>> getExpressions()

### not

    Predicate not()